<p class="filter_tag">Filter By Price</p>
<input type="text" placeholder="Minimum Price" name="min" class="input" [(ngModel)]="filterMin"/>
<input type="text" placeholder="Maximum Price" name="max" class="input" [(ngModel)]="filterMax"/>
<button class="filter_btn" (click)="filter_click(filterMin,filterMax)">Filter</button>
<hr class="divider">
  <div class="grid-container" *ngIf="clicked">
    <div class="grid-item" *ngFor="let dataArrayfiltered of dataArrayfiltered">
      <div class="img_wrapper">
      <img class="helmet_img" [src]="dataArrayfiltered.image_url"/>
      </div>
      <div class="name_wrapper">
      <p class="name">{{dataArrayfiltered.helmet_name}}</p>
    </div>
      <p class="brand">{{dataArrayfiltered.brand_name}}</p>
      <div class="gray">
        <div *ngIf="dataArrayfiltered.price_start!=dataArrayfiltered.price_end; else elseBlock">
        <p class="price">${{dataArrayfiltered.price_start}} - ${{dataArrayfiltered.price_end}}</p>
        </div>
        <ng-template #elseBlock><p class="price_else">${{dataArrayfiltered.price_start}}</p></ng-template> 
        <p class="price_msrp">MSRP</p>
      </div>
    </div>
  </div>
<div class="grid-container" *ngIf="!clicked">
  <div class="grid-item" *ngFor="let dataArray of dataArray">
    <div class="img_wrapper">
    <img class="helmet_img" [src]="dataArray.image_url"/>
    </div>
    <div class="name_wrapper">
    <p class="name">{{dataArray.helmet_name}}</p>
  </div>
    <p class="brand">{{dataArray.brand_name}}</p>
    <div class="gray">
      <div *ngIf="dataArray.price_start!=dataArray.price_end; else elseBlock">
      <p class="price">${{dataArray.price_start}} - ${{dataArray.price_end}}</p>
      </div>
      <ng-template #elseBlock><p class="price_else">${{dataArray.price_start}}</p></ng-template> 
      <p class="price_msrp">MSRP</p>
    </div>
  </div>
</div>